Tbl_val Mathematics
Grid wedding

() More...

## Functions

Tbl_val | Lorene::operator+ (const Tbl_val &)
Tbl_val | Lorene::operator- (const Tbl_val &)
| `-` Tbl_val
Tbl_val | Lorene::operator+ (const Tbl_val &, const Tbl_val &)
| Tbl_val + Tbl_val.
Tbl_val | Lorene::operator+ (const Tbl_val &, double)
| Tbl_val + double.
Tbl_val | Lorene::operator+ (double, const Tbl_val &)
| double + Tbl_val
Tbl_val | Lorene::operator+ (const Tbl_val &, int)
| Tbl_val + int.
Tbl_val | Lorene::operator+ (int, const Tbl_val &)
| int + Tbl_val
Tbl_val | Lorene::operator- (const Tbl_val &, const Tbl_val &)
| Tbl_val - Tbl_val.
Tbl_val | Lorene::operator- (const Tbl_val &, double)
| Tbl_val - double.
Tbl_val | Lorene::operator- (double, const Tbl_val &)
| double - Tbl_val
Tbl_val | Lorene::operator- (const Tbl_val &, int)
| Tbl_val - int.
Tbl_val | Lorene::operator- (int, const Tbl_val &)
| int - Tbl_val
Tbl_val | Lorene::operator* (const Tbl_val &, const Tbl_val &)
| Tbl_val * Tbl_val.
Tbl_val | Lorene::operator* (const Tbl_val &, double)
| Tbl_val * double.
Tbl_val | Lorene::operator* (double, const Tbl_val &)
| double * Tbl_val
Tbl_val | Lorene::operator* (const Tbl_val &, int)
| Tbl_val * int.
Tbl_val | Lorene::operator* (int, const Tbl_val &)
| int * Tbl_val
Tbl_val | Lorene::operator/ (const Tbl_val &, const Tbl_val &)
| Tbl_val / Tbl_val.
Tbl_val | Lorene::operator/ (const Tbl_val &, double)
| Tbl_val / double.
Tbl_val | Lorene::operator/ (double, const Tbl_val &)
| double / Tbl_val
Tbl_val | Lorene::operator/ (const Tbl_val &, int)
| Tbl_val / int.
Tbl_val | Lorene::operator/ (int, const Tbl_val &)
| int / Tbl_val
Tbl_val | Lorene::sin (const Tbl_val &)
| Sine.
Tbl_val | Lorene::cos (const Tbl_val &)
| Cosine.
Tbl_val | Lorene::tan (const Tbl_val &)
| Tangent.
Tbl_val | Lorene::asin (const Tbl_val &)
| Arcsine.
Tbl_val | Lorene::acos (const Tbl_val &)
| Arccosine.
Tbl_val | Lorene::atan (const Tbl_val &)
| Arctangent.
Tbl_val | Lorene::exp (const Tbl_val &)
| Exponential.
Tbl_val | Lorene::Heaviside (const Tbl_val &)
| Heaviside Function.
Tbl_val | Lorene::log (const Tbl_val &)
| Neperian logarithm.
Tbl_val | Lorene::log10 (const Tbl_val &)
| Basis 10 logarithm.
Tbl_val | Lorene::sqrt (const Tbl_val &)
| Square root.
Tbl_val | Lorene::racine_cubique (const Tbl_val &)
| cube root
Tbl_val | Lorene::pow (const Tbl_val &, int)
| Power .
Tbl_val | Lorene::pow (const Tbl_val &, double)
| Power .
Tbl_val | Lorene::abs (const Tbl_val &)
| Absolute value.
double | Lorene::max (const Tbl_val &)
| Maximum value of the `Tbl_val` elements.
double | Lorene::min (const Tbl_val &)
| Minimum value of the `Tbl_val` elements.
double | Lorene::norme (const Tbl_val &)
| Sum of the absolute values of all the `Tbl_val` elements.
double | Lorene::diffrel (const Tbl_val &a, const Tbl_val &b)
| Relative difference between two `Tbl_val` (norme version).
double | Lorene::diffrelmax (const Tbl_val &a, const Tbl_val &b)
| Relative difference between two `Tbl_val` (max version).

## Detailed Description

()

## Function Documentation

## abs()

Tbl_val Lorene::abs | ( | const Tbl_val & | ti | ) |

Absolute value.

Definition at line 461 of file tbl_val_math.C.

References Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_grille(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::get_taille_i(), Lorene::Tbl_val::set_etat_qcq(), Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.

## acos()

Tbl_val Lorene::acos | ( | const Tbl_val & | ti | ) |

Arccosine.

Definition at line 194 of file tbl_val_math.C.

References acos(), Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_grille(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::get_taille_i(), Lorene::Tbl_val::set_etat_qcq(), Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.

## asin()

Tbl_val Lorene::asin | ( | const Tbl_val & | ti | ) |

Arcsine.

Definition at line 162 of file tbl_val_math.C.

References asin(), Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_grille(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::get_taille_i(), Lorene::Tbl_val::set_etat_qcq(), Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.

## atan()

Tbl_val Lorene::atan | ( | const Tbl_val & | ti | ) |

Arctangent.

Definition at line 227 of file tbl_val_math.C.

References atan(), Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_grille(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::get_taille_i(), Lorene::Tbl_val::set_etat_qcq(), Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.

## cos()

Tbl_val Lorene::cos | ( | const Tbl_val & | ti | ) |

Cosine.

Definition at line 98 of file tbl_val_math.C.

References cos(), Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_grille(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::get_taille_i(), Lorene::Tbl_val::set_etat_qcq(), Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.

## diffrel()

double Lorene::diffrel | ( | const Tbl_val & | a,
|  | const Tbl_val & | b )

Relative difference between two `Tbl_val` (norme version).

Returns `norme`(a-b)/norme(b) unless `b=0` , in which case it returns `norme`(a-b) .

Definition at line 606 of file tbl_val_math.C.

References Lorene::Tbl_val::get_etat(), and norme().

## diffrelmax()

double Lorene::diffrelmax | ( | const Tbl_val & | a,
|  | const Tbl_val & | b )

Relative difference between two `Tbl_val` (max version).

Returns `max`(abs(a-b))/max(abs(b)) unless `b=0` , in which case it returns `max`(abs(a-b)) .

Definition at line 630 of file tbl_val_math.C.

References abs(), Lorene::Tbl_val::get_etat(), and max().

## exp()

Tbl_val Lorene::exp | ( | const Tbl_val & | ti | ) |

Exponential.

Definition at line 289 of file tbl_val_math.C.

References exp(), Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_grille(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::get_taille_i(), Lorene::Tbl_val::set_etat_qcq(), Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.

## Heaviside()

Tbl_val Lorene::Heaviside | ( | const Tbl_val & |  | ) |

Heaviside Function.

## log()

Tbl_val Lorene::log | ( | const Tbl_val & | ti | ) |

Neperian logarithm.

Definition at line 322 of file tbl_val_math.C.

References Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_grille(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::get_taille_i(), log(), Lorene::Tbl_val::set_etat_qcq(), Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.

## log10()

Tbl_val Lorene::log10 | ( | const Tbl_val & | ti | ) |

Basis 10 logarithm.

Definition at line 354 of file tbl_val_math.C.

References Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_grille(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::get_taille_i(), log(), log10(), Lorene::Tbl_val::set_etat_qcq(), Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.

## max()

double Lorene::max | ( | const Tbl_val & | ti | ) |

Maximum value of the `Tbl_val` elements.

Definition at line 530 of file tbl_val_math.C.

References Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::t, and x.

## min()

double Lorene::min | ( | const Tbl_val & | ti | ) |

Minimum value of the `Tbl_val` elements.

Definition at line 556 of file tbl_val_math.C.

References Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::t, and x.

## norme()

double Lorene::norme | ( | const Tbl_val & | ti | ) |

Sum of the absolute values of all the `Tbl_val` elements.

Definition at line 582 of file tbl_val_math.C.

References Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::t, and x.

## operator*() [1/5]

Tbl_val Lorene::operator* | ( | const Tbl_val & | t1,
|  | const Tbl_val & | t2 )

Tbl_val * Tbl_val.

Definition at line 333 of file arithm_tbl_val.C.

References Lorene::Tbl_val::get_dim(), Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_ndim(), r, Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.

## operator*() [2/5]

Tbl_val Lorene::operator* | ( | const Tbl_val & | t1,
|  | double | x )

Tbl_val * double.

Definition at line 374 of file arithm_tbl_val.C.

References Lorene::Tbl_val::get_etat(), r, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and x.

## operator*() [3/5]

Tbl_val Lorene::operator* | ( | const Tbl_val & | t1,
|  | int | n )

Tbl_val * int.

Definition at line 421 of file arithm_tbl_val.C.

## operator*() [4/5]

Tbl_val Lorene::operator* | ( | double | x,
|  | const Tbl_val & | t1 )

double * Tbl_val

Definition at line 414 of file arithm_tbl_val.C.

References x.

## operator*() [5/5]

Tbl_val Lorene::operator* | ( | int | n,
|  | const Tbl_val & | t1 )

int * Tbl_val

Definition at line 428 of file arithm_tbl_val.C.

## operator+() [1/6]

Tbl_val Lorene::operator+ | ( | const Tbl_val & | t1 | ) |

- Tbl_val

Definition at line 67 of file arithm_tbl_val.C.

References Lorene::Tbl_val::get_etat().

## operator+() [2/6]

Tbl_val Lorene::operator+ | ( | const Tbl_val & | t1,
|  | const Tbl_val & | t2 )

Tbl_val + Tbl_val.

Definition at line 111 of file arithm_tbl_val.C.

References Lorene::Tbl_val::get_dim(), Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_ndim(), r, Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.

## operator+() [3/6]

Tbl_val Lorene::operator+ | ( | const Tbl_val & | t1,
|  | double | x )

Tbl_val + double.

Definition at line 154 of file arithm_tbl_val.C.

References Lorene::Tbl_val::get_etat(), r, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and x.

## operator+() [4/6]

Tbl_val Lorene::operator+ | ( | const Tbl_val & | t1,
|  | int | n )

Tbl_val + int.

Definition at line 191 of file arithm_tbl_val.C.

## operator+() [5/6]

Tbl_val Lorene::operator+ | ( | double | x,
|  | const Tbl_val & | t1 )

double + Tbl_val

Definition at line 184 of file arithm_tbl_val.C.

References x.

## operator+() [6/6]

Tbl_val Lorene::operator+ | ( | int | n,
|  | const Tbl_val & | t1 )

int + Tbl_val

Definition at line 198 of file arithm_tbl_val.C.

## operator-() [1/6]

Tbl_val Lorene::operator- | ( | const Tbl_val & | t1 | ) |

`-` Tbl_val

Definition at line 77 of file arithm_tbl_val.C.

References Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_grille(), r, Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.

## operator-() [2/6]

Tbl_val Lorene::operator- | ( | const Tbl_val & | t1,
|  | const Tbl_val & | t2 )

Tbl_val - Tbl_val.

Definition at line 210 of file arithm_tbl_val.C.

References Lorene::Tbl_val::get_dim(), Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_ndim(), r, Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.

## operator-() [3/6]

Tbl_val Lorene::operator- | ( | const Tbl_val & | t1,
|  | double | x )

Tbl_val - double.

Definition at line 254 of file arithm_tbl_val.C.

References Lorene::Tbl_val::get_etat(), r, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and x.

## operator-() [4/6]

Tbl_val Lorene::operator- | ( | const Tbl_val & | t1,
|  | int | n )

Tbl_val - int.

Definition at line 285 of file arithm_tbl_val.C.

## operator-() [5/6]

Tbl_val Lorene::operator- | ( | double | x,
|  | const Tbl_val & | t1 )

double - Tbl_val

Definition at line 292 of file arithm_tbl_val.C.

References Lorene::Tbl_val::get_etat(), r, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and x.

## operator-() [6/6]

Tbl_val Lorene::operator- | ( | int | n,
|  | const Tbl_val & | t1 )

int - Tbl_val

Definition at line 322 of file arithm_tbl_val.C.

## operator/() [1/5]

Tbl_val Lorene::operator/ | ( | const Tbl_val & | t1,
|  | const Tbl_val & | t2 )

Tbl_val / Tbl_val.

Definition at line 439 of file arithm_tbl_val.C.

References Lorene::Tbl_val::get_dim(), Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_ndim(), r, Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.

## operator/() [2/5]

Tbl_val Lorene::operator/ | ( | const Tbl_val & | t1,
|  | double | x )

Tbl_val / double.

Definition at line 482 of file arithm_tbl_val.C.

References Lorene::Tbl_val::get_etat(), r, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and x.

## operator/() [3/5]

Tbl_val Lorene::operator/ | ( | const Tbl_val & | t1,
|  | int | n )

Tbl_val / int.

Definition at line 519 of file arithm_tbl_val.C.

## operator/() [4/5]

Tbl_val Lorene::operator/ | ( | double | x,
|  | const Tbl_val & | t1 )

double / Tbl_val

Definition at line 526 of file arithm_tbl_val.C.

References Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_grille(), r, Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, Lorene::Tbl_val::tzri, and x.

## operator/() [5/5]

Tbl_val Lorene::operator/ | ( | int | n,
|  | const Tbl_val & | t1 )

int / Tbl_val

Definition at line 568 of file arithm_tbl_val.C.

## pow() [1/2]

Tbl_val Lorene::pow | ( | const Tbl_val & | ti,
|  | double | x )

Power .

Definition at line 424 of file tbl_val_math.C.

References Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_grille(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::get_taille_i(), pow(), Lorene::Tbl_val::set_etat_qcq(), Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, Lorene::Tbl_val::tzri, and x.

## pow() [2/2]

Tbl_val Lorene::pow | ( | const Tbl_val & | ti,
|  | int | n )

Power .

Definition at line 386 of file tbl_val_math.C.

References Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_grille(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::get_taille_i(), pow(), Lorene::Tbl_val::set_etat_qcq(), Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, Lorene::Tbl_val::tzri, and x.

## racine_cubique()

Tbl_val Lorene::racine_cubique | ( | const Tbl_val & | ti | ) |

cube root

Definition at line 497 of file tbl_val_math.C.

References abs(), Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::get_taille_i(), pow(), Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.

## sin()

Tbl_val Lorene::sin | ( | const Tbl_val & | ti | ) |

Sine.

Definition at line 67 of file tbl_val_math.C.

References Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_grille(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::get_taille_i(), Lorene::Tbl_val::set_etat_qcq(), sin(), Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.

## sqrt()

Tbl_val Lorene::sqrt | ( | const Tbl_val & | ti | ) |

Square root.

Definition at line 258 of file tbl_val_math.C.

References Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_grille(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::get_taille_i(), Lorene::Tbl_val::set_etat_qcq(), sqrt(), Lorene::Tbl_val::t, Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.

## tan()

Tbl_val Lorene::tan | ( | const Tbl_val & | ti | ) |

Tangent.

Definition at line 131 of file tbl_val_math.C.

References Lorene::Tbl_val::get_etat(), Lorene::Tbl_val::get_grille(), Lorene::Tbl_val::get_taille(), Lorene::Tbl_val::get_taille_i(), Lorene::Tbl_val::set_etat_qcq(), Lorene::Tbl_val::t, tan(), Lorene::Tbl_val::txti, Lorene::Tbl_val::typi, and Lorene::Tbl_val::tzri.